Skip to Content
BusinessDocuments

Upload documents for a Business

POST
/v0/business/{business_id}/document

Scopes: document:create

Authorization

OAuth2ClientCredentialsBearer document:create
headerAuthorizationBearer <token>

Scope: document:create

Path Parameters

business_id*Business Id

The id of the business

Formatbiz_string

Request Body

multipart/form-data
  1. body
files*array<string>

Document files. 25MB each, max 12 files.

task_id?|

The ID of the associated task

document_type?|

The type of document being created.

memo?|

Optional business purpose (memo) for a document.

check_received_at?|

For an image of a check the Business received, the date it was received. Defaults to the date written on the check.

entity_ids?array<||||||>|

Optional list of entity ids to associate with the document. Only external accounts, transactions, and journal entries are supported.

Response Body

Successful Response

application/json
  1. response
data*|
Example Request
curl -X POST 'https://api.sandbox.getasset.com/v0/business/biz_GA6EG2qFxA97NZHtxeLPUy/document' \  -F 'files=string'
Example Response
{  "data": {    "task_id": "tsk_R2fAXCjqJPdpYata112zyW",    "business_id": "biz_R2fAXCjqJPdpYata112zyW",    "name": "receipt.pdf",    "description": "Receipt",    "memo": "Client dinner with Acme Corp",    "document_type": "receipt",    "file_size": 1024,    "status": "processing",    "source": "manual_upload",    "external_account_id": "bf68a995-67db-4b76-88a8-1ca00e9bbd80",    "transaction_id": "0fec1e58-b197-4052-99cf-2218496c5482",    "external_id": "gusto-payroll-abc123",    "metadata_": {},    "id": "doc_R2fAXCjqJPdpYata112zyW",    "created_at": "2019-08-24T14:15:22Z",    "journal_entry_ids": "je_R2fAXCjqJPdpYata112zyW",    "external_account_ids": "eac_R2fAXCjqJPdpYata112zyW",    "transaction_ids": "txn_R2fAXCjqJPdpYata112zyW",    "status_reason": "string",    "failure_code": "string",    "bill_id": "bil_R2fAXCjqJPdpYata112zyW",    "invoice_id": "inv_R2fAXCjqJPdpYata112zyW",    "check_id": "chk_R2fAXCjqJPdpYata112zyW",    "received_check_id": "rck_R2fAXCjqJPdpYata112zyW"  }}